/*
 * Allgemeine Funktionen für die Verwendung von Objekten aus dem Datenkatalog-Modell.
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.sys.funclib.bitctrl.modell.util.kalender;

import java.util.EventListener;

/**
 * Eine Applikation kann diese Schnittstelle implementieren, wenn sie &uuml;ber
 * Kalenderereignisse informiert werden m&ouml;chte.
 *
 * @author BitCtrl Systems GmbH, Schumann
 * @version $Id: KalenderListener.java 5267 2007-12-18 10:43:08Z Schumann $
 */
public interface KalenderListener extends EventListener {

	/**
	 * Wird aufgerufen, wenn die Antwort auf eine Kalenderanfrage eingetroffen
	 * ist.
	 *
	 * @param e
	 *            das Kalenderevent, welches die Antwort beinhaltet.
	 */
	void antwortEingetroffen(KalenderEvent e);

}
